### Signal

# Xdp Portal::session-state-changed

unstable since: 1.0

#### Declaration

    void
    session_state_changed (
      XdpPortal* self,
      gboolean screensaver_active,
      XdpLoginSessionState* session_state,
      gpointer user_data
    )

#### Description [src]

Emitted when session state monitoring is enabled and the state of the login session changes or the screensaver is activated or deactivated.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 1.0

#### Parameters

`screensaver_active`

  Type: `gboolean`

  Whether the screensaver is active.

`session_state`

  Type: `XdpLoginSessionState`

  The current state of the login session.

  The data is owned by the caller of the function.